Subject: bug#12836: automake-1.12 make check: FAIL:2

From: Tru Huynh <[email-masked]>
Date: Thu, 15 Nov 2012 17:33:34 +0100

On Thu, Nov 15, 2012 at 05:24:56PM +0100, Stefano Lattarini wrote:
> Hi Tru, sorry for the further delay.
> 
no problem :)
> 
> > FAIL: t/lex-header
> > ==================
> >
> > lex-header: running flex --version
> > flex version 2.5.4
> >
> Yikes!  According to what I see in <http://flex.sourceforge.net/>, this
> flex version is fifteen years old!  The failure here is due to the fact
> that we are assuming a flex feature (support for the "--header-file"
> option) that is not present in such an old version.  So we can consider
> this a spurious error; and the fact that all the other test cases on lex
> support have passed shows that Automake-generated rules can actually
> work very well even with such an old flex version.
> 
> (and BTW, I'd reeally suggest you to update your flex installation ;-)
That's the default flex version on CentOS-5/Red Hat Enterprise Linux 5.
[tru@sillage ~]$ rpm -q flex
flex-2.5.4a-41.fc6.x86_64

I will install another flex version next time :).

> 
> > FAIL: t/help2
> > ==============
> >
> > + aclocal-1.12
> > + cat stderr
> > NONE:0: /usr/bin/m4: ERROR: end of file in string
> > autom4te: /usr/bin/m4 failed with exit status: 1
> > aclocal-1.12: error: autom4te failed with exit status: 1
> > + /bin/grep -F acinclude.m4 stderr
> > + am_exit_trap 1
> > + exit_status=1
> >
> This too sounds like a spurious error, in that the error message we
> expected from this particular aclocal invocation is there, but it's
> not as "precise" as we'd like it to be.  Not a big deal, and not
> really aclocal's fault, since the error message comes from GNU m4.
> May I ask you which m4 version re you using?  That is unfortunately
> not registered in config.log ...
> 
/usr/bin/m4 is the CentOS-5 default version.
[tru@sillage ~]$ rpm -qf /usr/bin/m4
m4-1.4.5-3.el5.1.x86_64

Another oldy too :D

Thanks for you help,

Tru
-- 
Dr Tru Huynh          | http://www.pasteur.fr/recherche/unites/Binfs/
mailto:[email-masked] | tel/fax +33 1 45 68 87 37/19
Institut Pasteur, 25-28 rue du Docteur Roux, 75724 Paris CEDEX 15 France